VDPAU: VdpPictureInfoVC1 Struct Reference

VDPAU

Data Fields
VdpPictureInfoVC1 Struct Reference
Core API » VdpDecoder; Video Decoding object

Picture parameter information for a VC1 picture. More...

`#include <vdpau.h>`

## Data Fields
VdpVideoSurface | forward_reference
VdpVideoSurface | backward_reference
uint32_t | slice_count
uint8_t | picture_type
uint8_t | frame_coding_mode
uint8_t | deblockEnable
uint8_t | pquant
VC-1 bitstream
Copies of the VC-1 bitstream fields.
uint8_t | postprocflag
uint8_t | pulldown
uint8_t | interlace
uint8_t | tfcntrflag
uint8_t | finterpflag
uint8_t | psf
uint8_t | dquant
uint8_t | panscan_flag
uint8_t | refdist_flag
uint8_t | quantizer
uint8_t | extended_mv
uint8_t | extended_dmv
uint8_t | overlap
uint8_t | vstransform
uint8_t | loopfilter
uint8_t | fastuvmc
uint8_t | range_mapy_flag
uint8_t | range_mapy
uint8_t | range_mapuv_flag
uint8_t | range_mapuv
uint8_t | multires
uint8_t | syncmarker
uint8_t | rangered
uint8_t | maxbframes

## Detailed Description

Picture parameter information for a VC1 picture.

Note: References to bitstream fields below may refer to data literally parsed from the bitstream, or derived from the bitstream using a mechanism described in the specification.

## Field Documentation

## ◆ backward_reference

VdpVideoSurface VdpPictureInfoVC1::backward_reference

Reference used by B frames. Set to VDP_INVALID_HANDLE when not used.

## ◆ deblockEnable

uint8_t VdpPictureInfoVC1::deblockEnable

Out-of-loop deblocking enable. Bit 0 of POSTPROC from VC-1 7.1.1.27 Note that bit 1 of POSTPROC (dering enable) should not be included.

## ◆ dquant

uint8_t VdpPictureInfoVC1::dquant

See VC-1 6.2.8.

## ◆ extended_dmv

uint8_t VdpPictureInfoVC1::extended_dmv

See VC-1 6.2.14.

## ◆ extended_mv

uint8_t VdpPictureInfoVC1::extended_mv

See VC-1 6.2.7.

## ◆ fastuvmc

uint8_t VdpPictureInfoVC1::fastuvmc

See VC-1 6.2.6.

## ◆ finterpflag

uint8_t VdpPictureInfoVC1::finterpflag

See VC-1 6.1.11.

## ◆ forward_reference

VdpVideoSurface VdpPictureInfoVC1::forward_reference

Reference used by B and P frames. Set to VDP_INVALID_HANDLE when not used.

## ◆ frame_coding_mode

uint8_t VdpPictureInfoVC1::frame_coding_mode

Progressive=0, Frame-interlace=2, Field-interlace=3; see VC-1 7.1.1.15.

## ◆ interlace

uint8_t VdpPictureInfoVC1::interlace

See VC-1 6.1.9.

## ◆ loopfilter

uint8_t VdpPictureInfoVC1::loopfilter

See VC-1 6.2.5.

## ◆ maxbframes

uint8_t VdpPictureInfoVC1::maxbframes

See VC-1 J.1.17. Only used by simple and main profiles.

## ◆ multires

uint8_t VdpPictureInfoVC1::multires

See VC-1 J.1.10. Only used by simple and main profiles.

## ◆ overlap

uint8_t VdpPictureInfoVC1::overlap

See VC-1 6.2.10.

## ◆ panscan_flag

uint8_t VdpPictureInfoVC1::panscan_flag

See VC-1 6.2.3.

## ◆ picture_type

uint8_t VdpPictureInfoVC1::picture_type

I=0, P=1, B=3, BI=4 from 7.1.1.4.

## ◆ postprocflag

uint8_t VdpPictureInfoVC1::postprocflag

See VC-1 6.1.5.

## ◆ pquant

uint8_t VdpPictureInfoVC1::pquant

Parameter used by VC-1 Annex H deblocking algorithm. Note that VDPAU implementations may choose which deblocking algorithm to use. See VC-1 7.1.1.6

## ◆ psf

uint8_t VdpPictureInfoVC1::psf

See VC-1 6.1.3.

## ◆ pulldown

uint8_t VdpPictureInfoVC1::pulldown

See VC-1 6.1.8.

## ◆ quantizer

uint8_t VdpPictureInfoVC1::quantizer

See VC-1 6.2.11.

## ◆ range_mapuv

uint8_t VdpPictureInfoVC1::range_mapuv

## ◆ range_mapuv_flag

uint8_t VdpPictureInfoVC1::range_mapuv_flag

See VC-1 6.2.16.

## ◆ range_mapy

uint8_t VdpPictureInfoVC1::range_mapy

## ◆ range_mapy_flag

uint8_t VdpPictureInfoVC1::range_mapy_flag

See VC-1 6.12.15.

## ◆ rangered

uint8_t VdpPictureInfoVC1::rangered

VC-1 SP/MP range reduction control. Only used by simple and main profiles. Bit 0: Copy of rangered VC-1 bitstream field; See VC-1 J.1.17. Bit 1: Copy of rangeredfrm VC-1 bitstream fiels; See VC-1 7.1.13.

## ◆ refdist_flag

uint8_t VdpPictureInfoVC1::refdist_flag

See VC-1 6.2.4.

## ◆ slice_count

uint32_t VdpPictureInfoVC1::slice_count

Number of slices in the bitstream provided.

## ◆ syncmarker

uint8_t VdpPictureInfoVC1::syncmarker

See VC-1 J.1.16. Only used by simple and main profiles.

## ◆ tfcntrflag

uint8_t VdpPictureInfoVC1::tfcntrflag

See VC-1 6.1.10.

## ◆ vstransform

uint8_t VdpPictureInfoVC1::vstransform

See VC-1 6.2.9.

The documentation for this struct was generated from the following file:

- vdpau/vdpau.h